View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000235aMuleServerspublic2004-12-20 23:302005-02-07 05:16
ReporterTPC 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0-rc7 
Target VersionFixed in Version 
Summary0000235: aMule reports wrong port number to server without restart
DescriptionIf I change the port number in the aMule preferences and then reconnect to the server or change server it will report the new port number to the server. But it will still use the old port number for the actual connections until I restart aMule. Since it doesn't report the actual number being used it will try to use the wrong port number, resulting in a lowid.

My suggestions is that you:
1. Report the old port-number until aMule has been restarted.
2. Write a warning in the preferences dialog box saying that the changes won't take effect until you restart aMule.

Another solution might be to start listening on the new port immediatly, still having the old port open but using the new one for new connections. This would phase out the usage of the old port which could be closed when its not being used anymore, making a restart not needed.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000465)
Kry (manager)
2004-12-24 02:01

Assigned to myself.
(0000608)
Kry (manager)
2005-02-07 05:16

Fixed on CVS from phoenix AFAIK.

- Issue History
Date Modified Username Field Change
2004-12-20 23:30 TPC New Issue
2004-12-24 02:00 Kry Status new => assigned
2004-12-24 02:00 Kry Assigned To => Kry
2004-12-24 02:01 Kry Note Added: 0000465
2005-02-07 05:16 Kry Status assigned => resolved
2005-02-07 05:16 Kry Resolution open => fixed
2005-02-07 05:16 Kry Note Added: 0000608


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker